GNU bug report logs - #10239
compilation-auto-jump-to-first-error vs. giant binary executables

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: jidanni@HIDDEN; merged with #15032, #16218, #25329, #28035, #32968; dated Tue, 6 Dec 2011 23:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10239 15032 16218 25329 28035 32968. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10239 15032 16218 25329 28035. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10239 15032 16218 25329. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10239 15032 16218. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 10239 15032. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2011 23:25:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 06 18:25:11 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RY4Nr-00060x-10
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2011 18:25:11 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1RY4No-00060q-Ei
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2011 18:25:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1RY4N9-0000AM-BE
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2011 18:24:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:43358)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1RY4N9-0000AG-9i
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2011 18:24:27 -0500
Received: from eggs.gnu.org ([140.186.70.92]:43483)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1RY4N7-0006vs-Tz
	for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2011 18:24:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1RY4N6-00009u-OS
	for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2011 18:24:25 -0500
Received: from hapkido.dreamhost.com ([66.33.216.122]:41569)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1RY4N6-00009q-E3
	for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2011 18:24:24 -0500
Received: from homiemail-a37.g.dreamhost.com (caiajhbdcaid.dreamhost.com
	[208.97.132.83])
	by hapkido.dreamhost.com (Postfix) with ESMTP id 5BC74182685
	for <bug-gnu-emacs@HIDDEN>; Tue,  6 Dec 2011 15:14:45 -0800 (PST)
Received: from homiemail-a37.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a37.g.dreamhost.com (Postfix) with ESMTP id 27824208069
	for <bug-gnu-emacs@HIDDEN>; Tue,  6 Dec 2011 15:14:45 -0800 (PST)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=jidanni.org; h=from:to:subject
	:date:message-id:mime-version:content-type; q=dns; s=jidanni.org
	; b=DFGNsiKGT8Yfd0YIRz74ZWt/Ekl6lqhk0aH0dwq9ZBVnQ5FRV61kR+rb9AiV
	KU6Mc+CmRZulk3fFgYFKvuzuWjTepvYMQFcw5RJIk3wQQiTEWJkwu+L/YNikYvDM
	BskqqyBPdcLAxmgZhAZncGdExhLV6yAT1dyG1iPcgJrdO/E=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=enm2cn3al/id1z4XqIV7LrBxU/k=; b=FfdEtmG8O1j2BGuS
	dE2Jf5IntvgP15qcZgrytstpFwLbeMLhboS5oUsn0QMwYE5yMJjBoD0tOCBNJshA
	2ybUMP1E+q81yYkBmW8+mzfNwhy59Wm82KPmaF51I/zXV3MYVIP/LzGpSTwkHUat
	SOJdWyMcQEc6KhJX6psNYeecr2I=
Received: from jidanni.org (218-163-18-91.dynamic.hinet.net [218.163.18.91])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a37.g.dreamhost.com (Postfix) with ESMTPSA id C2EC9208063
	for <bug-gnu-emacs@HIDDEN>; Tue,  6 Dec 2011 15:14:44 -0800 (PST)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: compilation-auto-jump-to-first-error vs. giant binary executables
Date: Wed, 07 Dec 2011 07:14:41 +0800
Message-ID: <87y5upfg2m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.4 (-----)

$ cat Makefile
a:;set -Y
$ emacs -Q -eval '(setq compilation-auto-jump-to-first-error t)' -f compile
RET
/bin/sh: line 0: set: -Y: invalid option
Wham pow! We are looking at a whole megabyte of binary ELF /bin/sh executable.
I didn't try it on lager files or with ones with strings the colorizer
would try to color etc.




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10239; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 7 Oct 2018 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.